Lista veículos
curl --request GET \
--url https://api-koolisys.eixoassistencia.com.br/v1/vehicles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-koolisys.eixoassistencia.com.br/v1/vehicles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-koolisys.eixoassistencia.com.br/v1/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-koolisys.eixoassistencia.com.br/v1/vehicles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-koolisys.eixoassistencia.com.br/v1/vehicles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-koolisys.eixoassistencia.com.br/v1/vehicles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-koolisys.eixoassistencia.com.br/v1/vehicles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 9001,
"customerId": 501,
"plate": "ABC1D23",
"chassis": "9BWZZZ377VT004251",
"renavam": "12345678901",
"brand": "Fiat",
"model": "Argo",
"manufactureYear": 2022,
"modelYear": 2023,
"color": "Prata",
"externalCode": "ERP-V-000456",
"status": "ACTIVE",
"createdAt": "2026-08-20T13:02:00.000Z",
"updatedAt": "2026-08-20T13:02:00.000Z"
}
],
"meta": {
"nextCursor": null
},
"errors": []
}{
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "customerDocument: Documento do cliente é obrigatório",
"field": "customerDocument"
}
]
}{
"data": null,
"errors": [
{
"code": "INVALID_TOKEN",
"message": "Token inválido."
}
]
}{
"data": null,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Escopo insuficiente para este endpoint.",
"details": {
"requiredScope": "attendances.read"
}
}
]
}{
"data": null,
"errors": [
{
"code": "RATE_LIMITED",
"message": "Limite de requisições excedido.",
"details": {
"retryAfterSeconds": 42
}
}
]
}{
"data": null,
"errors": [
{
"code": "FEATURE_DISABLED",
"message": "Feature is disabled: public_api.enabled"
}
]
}vehicles
Lista veículos
Lista os veículos dos clientes da contratante dona da chave, paginados por cursor, do mais recente ao mais antigo.
GET
/
v1
/
vehicles
Lista veículos
curl --request GET \
--url https://api-koolisys.eixoassistencia.com.br/v1/vehicles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-koolisys.eixoassistencia.com.br/v1/vehicles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-koolisys.eixoassistencia.com.br/v1/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-koolisys.eixoassistencia.com.br/v1/vehicles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-koolisys.eixoassistencia.com.br/v1/vehicles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-koolisys.eixoassistencia.com.br/v1/vehicles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-koolisys.eixoassistencia.com.br/v1/vehicles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 9001,
"customerId": 501,
"plate": "ABC1D23",
"chassis": "9BWZZZ377VT004251",
"renavam": "12345678901",
"brand": "Fiat",
"model": "Argo",
"manufactureYear": 2022,
"modelYear": 2023,
"color": "Prata",
"externalCode": "ERP-V-000456",
"status": "ACTIVE",
"createdAt": "2026-08-20T13:02:00.000Z",
"updatedAt": "2026-08-20T13:02:00.000Z"
}
],
"meta": {
"nextCursor": null
},
"errors": []
}{
"data": null,
"errors": [
{
"code": "VALIDATION_ERROR",
"message": "customerDocument: Documento do cliente é obrigatório",
"field": "customerDocument"
}
]
}{
"data": null,
"errors": [
{
"code": "INVALID_TOKEN",
"message": "Token inválido."
}
]
}{
"data": null,
"errors": [
{
"code": "INSUFFICIENT_SCOPE",
"message": "Escopo insuficiente para este endpoint.",
"details": {
"requiredScope": "attendances.read"
}
}
]
}{
"data": null,
"errors": [
{
"code": "RATE_LIMITED",
"message": "Limite de requisições excedido.",
"details": {
"retryAfterSeconds": 42
}
}
]
}{
"data": null,
"errors": [
{
"code": "FEATURE_DISABLED",
"message": "Feature is disabled: public_api.enabled"
}
]
}Authorizations
Token de curta duração devolvido por POST /v1/auth/token, carregando os escopos concedidos à chave — exigido por todo endpoint de dados.
